# Non-Attendance-Based Events Notebooks

Non-Attended Events are events with a start and end date, but are more fluid in impact, such as [observances](https://www.predicthq.com/intelligence/data-enrichment/event-categories/observances), [public holidays](https://www.predicthq.com/intelligence/data-enrichment/event-categories/public-holidays) and [school holidays](https://www.predicthq.com/intelligence/data-enrichment/event-categories/school-holidays).

This How to Series consist of the following three Jupyter notebooks, allows you to quickly extract the data (Part 1), explore the data (Part 2) and experiment with different aggregations (Part 3):

* [**Part 1: Data Engineering**](https://github.com/predicthq/phq-data-science-docs/blob/master/unattended-events/part_1_data_engineering.ipynb) shows you how to call the Events API to extract the data to a DataFrame.
* [**Part 2: Data Exploration**](https://github.com/predicthq/phq-data-science-docs/blob/master/unattended-events/part_2_data_exploration.ipynb) is a guide to exploring PredictHQ's Non-Attended Events data for Data Science teams.
* [**Part 3: Feature Engineering**](https://github.com/predicthq/phq-data-science-docs/blob/master/unattended-events/part_3_feature_engineering.ipynb) provides examples of how to aggregate and extract features from the data.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.predicthq.com/getting-started/guides/events-api-guides/non-attendance-based-events-data-science-guides.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
